local _, core = ...; -- Namespace
-------------------------------------------------------------

function core:Print(...)
    local hex = select(4, self.Config:GetThemeColor());
    local prefix = string.format("|cff%s%s|r", hex:upper(), "MCL:");	
    DEFAULT_CHAT_FRAME:AddMessage(string.join(" ", prefix, ...));
end

-- WARNING: self automatically becomes events frame!
function core:init(event, name)
	if (name ~= "MCL") then return end
	start = core.Config.Toggle();
	hide = core.Config.Toggle();
	-- allows using left and right buttons to move through chat 'edit' box
	for i = 1, NUM_CHAT_WINDOWS do
		_G["ChatFrame"..i.."EditBox"]:SetAltArrowKeyMode(false);
	end
	SLASH_FRAMESTK1 = "/fs" -- For quicker access to frame stack
	SlashCmdList.FRAMESTK = function()
		LoadAddOn("Blizzard_DebugTools")
		FrameStackTooltip_Toggle()
	end

	for i = 1, NUM_CHAT_WINDOWS do
		_G["ChatFrame"..i.."EditBox"]:SetAltArrowKeyMode(false)
	end

	SLASH_MCL1 = "/mcl";
	LoadAddOn("Blizzard_Collections")
	SlashCmdList.MCL = core.Config.Toggle;	
	core:Print("Welcome back", UnitName("player").."!");
end

local events = CreateFrame("Frame");
events:RegisterEvent("ADDON_LOADED");
events:SetScript("OnEvent", core.init);